> ## Documentation Index
> Fetch the complete documentation index at: https://docs.galileo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Feedback Rating V2



## OpenAPI

````yaml https://api.galileo.ai/public/v2/openapi.json get /v2/projects/{project_id}/feedback/templates/{template_id}/traces/{trace_id}/rating
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.galileo.ai
    description: Galileo Public APIs - galileo-v2
security: []
paths:
  /v2/projects/{project_id}/feedback/templates/{template_id}/traces/{trace_id}/rating:
    get:
      tags:
        - feedback
      summary: Get Feedback Rating V2
      operationId: >-
        get_feedback_rating_v2_v2_projects__project_id__feedback_templates__template_id__traces__trace_id__rating_get
      parameters:
        - name: trace_id
          in: path
          required: true
          schema:
            type: string
            format: uuid4
            title: Trace Id
        - name: project_id
          in: path
          required: true
          schema:
            type: string
            format: uuid4
            title: Project Id
        - name: template_id
          in: path
          required: true
          schema:
            type: string
            format: uuid4
            title: Template Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FeedbackRatingDB'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      deprecated: true
      security:
        - APIKeyHeader: []
        - OAuth2PasswordBearer: []
        - HTTPBasic: []
components:
  schemas:
    FeedbackRatingDB:
      properties:
        explanation:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
          title: Explanation
        rating:
          oneOf:
            - $ref: >-
                #/components/schemas/libs__python__schemas__log_records__feedback__LikeDislikeRating
            - $ref: >-
                #/components/schemas/libs__python__schemas__log_records__feedback__StarRating
            - $ref: >-
                #/components/schemas/libs__python__schemas__log_records__feedback__ScoreRating
            - $ref: >-
                #/components/schemas/libs__python__schemas__log_records__feedback__TagsRating
            - $ref: >-
                #/components/schemas/libs__python__schemas__log_records__feedback__TextRating
          title: Rating
          discriminator:
            propertyName: feedback_type
            mapping:
              like_dislike:
                $ref: >-
                  #/components/schemas/libs__python__schemas__log_records__feedback__LikeDislikeRating
              score:
                $ref: >-
                  #/components/schemas/libs__python__schemas__log_records__feedback__ScoreRating
              star:
                $ref: >-
                  #/components/schemas/libs__python__schemas__log_records__feedback__StarRating
              tags:
                $ref: >-
                  #/components/schemas/libs__python__schemas__log_records__feedback__TagsRating
              text:
                $ref: >-
                  #/components/schemas/libs__python__schemas__log_records__feedback__TextRating
        created_at:
          type: string
          format: date-time
          title: Created At
        created_by:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Created By
      type: object
      required:
        - rating
        - created_at
        - created_by
      title: FeedbackRatingDB
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    libs__python__schemas__log_records__feedback__LikeDislikeRating:
      properties:
        feedback_type:
          type: string
          const: like_dislike
          title: Feedback Type
          default: like_dislike
        value:
          type: boolean
          title: Value
      type: object
      required:
        - value
      title: LikeDislikeRating
    libs__python__schemas__log_records__feedback__StarRating:
      properties:
        feedback_type:
          type: string
          const: star
          title: Feedback Type
          default: star
        value:
          type: integer
          maximum: 5
          minimum: 1
          title: Value
      type: object
      required:
        - value
      title: StarRating
    libs__python__schemas__log_records__feedback__ScoreRating:
      properties:
        feedback_type:
          type: string
          const: score
          title: Feedback Type
          default: score
        value:
          type: integer
          title: Value
      type: object
      required:
        - value
      title: ScoreRating
    libs__python__schemas__log_records__feedback__TagsRating:
      properties:
        feedback_type:
          type: string
          const: tags
          title: Feedback Type
          default: tags
        value:
          items:
            type: string
            maxLength: 255
            minLength: 1
          type: array
          title: Value
      type: object
      required:
        - value
      title: TagsRating
    libs__python__schemas__log_records__feedback__TextRating:
      properties:
        feedback_type:
          type: string
          const: text
          title: Feedback Type
          default: text
        value:
          type: string
          minLength: 1
          title: Value
      type: object
      required:
        - value
      title: TextRating
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Galileo-API-Key
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: https://api.galileo.ai/login
    HTTPBasic:
      type: http
      scheme: basic

````